using Microsoft.EntityFrameworkCore.Migrations;

namespace YGNT.QuestionLibrary.Migrations
{
    public partial class _111 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "QuestionConvertType",
                table: "QuestionConvertTasks");

            migrationBuilder.DropColumn(
                name: "QuestionId",
                table: "QuestionConvertTasks");

            migrationBuilder.AddColumn<int>(
                name: "QuestionCategory",
                table: "QuestionOrigins",
                nullable: false,
                defaultValue: 0);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "QuestionCategory",
                table: "QuestionOrigins");

            migrationBuilder.AddColumn<int>(
                name: "QuestionConvertType",
                table: "QuestionConvertTasks",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<long>(
                name: "QuestionId",
                table: "QuestionConvertTasks",
                type: "bigint",
                nullable: true);
        }
    }
}
